summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRepository mirror & CI <repomirrorci@gentoo.org>2020-10-29 20:05:20 +0000
committerRepository mirror & CI <repomirrorci@gentoo.org>2020-10-29 20:05:20 +0000
commitbd889cb4fc04bf26753de4f49d4f2831412dcee3 (patch)
tree1877572c71571dd026557ba3d2f043cc24afee96
parent2020-10-29 19:35:31 UTC (diff)
parentnet-dns/bind-tools: Version bump (v9.16.8) (diff)
downloadgentoo-bd889cb4fc04bf26753de4f49d4f2831412dcee3.tar.gz
gentoo-bd889cb4fc04bf26753de4f49d4f2831412dcee3.tar.bz2
gentoo-bd889cb4fc04bf26753de4f49d4f2831412dcee3.zip
Merge updates from master
-rw-r--r--app-office/calligraplan/calligraplan-3.2.2-r1.ebuild (renamed from app-office/calligraplan/calligraplan-3.2.2.ebuild)14
-rw-r--r--app-office/calligraplan/files/calligraplan-3.2.2-no-khtml.patch463
-rw-r--r--games-misc/ballerburg/ballerburg-1.2.0-r1.ebuild (renamed from games-misc/ballerburg/ballerburg-1.2.0.ebuild)14
-rw-r--r--net-dns/bind-tools/Manifest1
-rw-r--r--net-dns/bind-tools/bind-tools-9.16.8.ebuild149
-rw-r--r--net-dns/bind/Manifest1
-rw-r--r--net-dns/bind/bind-9.16.8.ebuild389
7 files changed, 1024 insertions, 7 deletions
diff --git a/app-office/calligraplan/calligraplan-3.2.2.ebuild b/app-office/calligraplan/calligraplan-3.2.2-r1.ebuild
index 3287da88dd80..275d4ee1d2fd 100644
--- a/app-office/calligraplan/calligraplan-3.2.2.ebuild
+++ b/app-office/calligraplan/calligraplan-3.2.2-r1.ebuild
@@ -5,12 +5,12 @@ EAPI=7
ECM_HANDBOOK="forceoptional"
ECM_TEST="forceoptional"
-KFMIN=5.60.0
-QTMIN=5.12.3
+KFMIN=5.74.0
+QTMIN=5.15.1
inherit ecm kde.org
DESCRIPTION="Project management application"
-HOMEPAGE="https://www.calligra.org/"
+HOMEPAGE="https://calligra.org/plan/"
if [[ ${KDE_BUILD_TYPE} == release ]]; then
SRC_URI="mirror://kde/stable/calligra/${PV}/${P}.tar.xz"
@@ -42,7 +42,6 @@ DEPEND="
>=kde-frameworks/kdbusaddons-${KFMIN}:5
>=kde-frameworks/kglobalaccel-${KFMIN}:5
>=kde-frameworks/kguiaddons-${KFMIN}:5
- >=kde-frameworks/khtml-${KFMIN}:5
>=kde-frameworks/ki18n-${KFMIN}:5
>=kde-frameworks/kiconthemes-${KFMIN}:5
>=kde-frameworks/kio-${KFMIN}:5
@@ -60,7 +59,7 @@ DEPEND="
activities? ( >=kde-frameworks/kactivities-${KFMIN}:5 )
holidays? ( >=kde-frameworks/kholidays-${KFMIN}:5 )
kwallet? (
- app-crypt/qca:2[qt5(+)]
+ >=app-crypt/qca-2.3.0:2
>=kde-frameworks/kwallet-${KFMIN}:5
)
X? (
@@ -75,7 +74,10 @@ RDEPEND="${DEPEND}
RESTRICT+=" test"
-PATCHES=( "${FILESDIR}/${P}-qt-5.15.patch" ) # bug 741710
+PATCHES=(
+ "${FILESDIR}/${P}-qt-5.15.patch" # bug 741710
+ "${FILESDIR}/${P}-no-khtml.patch"
+)
src_configure() {
local mycmakeargs=(
diff --git a/app-office/calligraplan/files/calligraplan-3.2.2-no-khtml.patch b/app-office/calligraplan/files/calligraplan-3.2.2-no-khtml.patch
new file mode 100644
index 000000000000..c307e332f61f
--- /dev/null
+++ b/app-office/calligraplan/files/calligraplan-3.2.2-no-khtml.patch
@@ -0,0 +1,463 @@
+From 3097da1c42ba7fe3b6a26ccb64df64db9c5588b7 Mon Sep 17 00:00:00 2001
+From: Dag Andersen <dag.andersen@kdemail.net>
+Date: Mon, 26 Oct 2020 13:46:06 +0100
+Subject: [PATCH 1/2] Remove dependency on KHtml
+
+This also removes the introductory pages,
+but these should be cver by the documentation.
+---
+ CMakeLists.txt | 10 +++----
+ src/CMakeLists.txt | 2 --
+ src/kptmaindocument.cpp | 1 -
+ src/kptmaindocument.h | 5 ----
+ src/kptpart.cpp | 47 --------------------------------
+ src/kptpart.h | 4 ---
+ src/kptview.cpp | 53 -------------------------------------
+ src/kptview.h | 10 -------
+ src/libs/ui/CMakeLists.txt | 5 +---
+ src/welcome/WelcomeView.cpp | 9 -------
+ src/welcome/WelcomeView.h | 1 -
+ src/welcome/WelcomeView.ui | 6 +----
+ 12 files changed, 7 insertions(+), 146 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 4348601c..13ac4d24 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -150,11 +150,11 @@ if(KF5Activities_FOUND)
+ set(HAVE_KACTIVITIES TRUE)
+ endif()
+
+-find_package(KF5KHtml)
+-set_package_properties(KF5KHtml PROPERTIES
+- PURPOSE "Required for rich text support"
+- TYPE REQUIRED
+-)
++#find_package(KF5KHtml)
++#set_package_properties(KF5KHtml PROPERTIES
++ #PURPOSE "Required for rich text support"
++ #TYPE REQUIRED
++#)
+
+ find_package(KF5Holidays)
+ set_package_properties(KF5Holidays PROPERTIES
+diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
+index 54f1df57..ee1a6137 100644
+--- a/src/CMakeLists.txt
++++ b/src/CMakeLists.txt
+@@ -145,8 +145,6 @@ set(planprivate_LIB_SRCS
+ kptinsertfiledlg.cpp
+ kptloadsharedprojectsdialog.cpp
+
+- about/aboutpage.cpp
+-
+ KPlatoXmlLoader.cpp
+ )
+
+diff --git a/src/kptmaindocument.cpp b/src/kptmaindocument.cpp
+index b4fe670f..f65f2eb0 100644
+--- a/src/kptmaindocument.cpp
++++ b/src/kptmaindocument.cpp
+@@ -257,7 +257,6 @@ void MainDocument::setProject(Project *project)
+ connect(m_project, &Project::nodeChanged, this, &MainDocument::slotNodeChanged);
+ connect(m_project, &Project::sigCalculationFinished, this, &MainDocument::slotCalculationFinished);
+ }
+- m_aboutPage.setProject(project);
+
+ QString dir = QStandardPaths::writableLocation(QStandardPaths::AppDataLocation);
+ if (!dir.isEmpty()) {
+diff --git a/src/kptmaindocument.h b/src/kptmaindocument.h
+index 44ab931c..01ad942d 100644
+--- a/src/kptmaindocument.h
++++ b/src/kptmaindocument.h
+@@ -31,7 +31,6 @@
+ #include "kptconfig.h"
+ #include "kptwbsdefinition.h"
+ #include "kptxmlloaderobject.h"
+-#include "about/aboutpage.h"
+
+ #include "KoDocument.h"
+
+@@ -130,8 +129,6 @@ public:
+ bool insertProject(Project &project, Node *parent, Node *after);
+ bool mergeResources(Project &project);
+
+- KPlatoAboutPage &aboutPage() { return m_aboutPage; }
+-
+ bool extractFiles(KoStore *store, Package *package);
+ bool extractFile(KoStore *store, Package *package, const Document *doc);
+
+@@ -254,8 +251,6 @@ private:
+ QList<QUrl> m_skipUrls;
+ QMap<QDateTime, Project*> m_mergedPackages;
+
+- KPlatoAboutPage m_aboutPage;
+-
+ QDomDocument m_reports;
+
+ bool m_viewlistModified;
+diff --git a/src/kptpart.cpp b/src/kptpart.cpp
+index cd31b6ce..d498f5e1 100644
+--- a/src/kptpart.cpp
++++ b/src/kptpart.cpp
+@@ -25,7 +25,6 @@
+ #include "kptmaindocument.h"
+ #include "kptfactory.h"
+ #include "welcome/WelcomeView.h"
+-#include "kpthtmlview.h"
+ #include "Help.h"
+ #include "calligraplansettings.h"
+ #include "kptdebug.h"
+@@ -163,7 +162,6 @@ void Part::createStarUpWidget(KoMainWindow *parent)
+ startUpWidget = new QStackedWidget(parent);
+
+ startUpWidget->addWidget(createWelcomeView(parent));
+- startUpWidget->addWidget(createIntroductionView());
+ }
+
+ void Part::finish()
+@@ -188,7 +186,6 @@ QWidget *Part::createWelcomeView(KoMainWindow *mw)
+
+ connect(v, &WelcomeView::loadSharedResources, doc, &MainDocument::insertResourcesFile);
+ connect(v, &WelcomeView::recentProject, mw, &KoMainWindow::slotFileOpenRecent);
+- connect(v, &WelcomeView::showIntroduction, this, &Part::slotShowIntroduction);
+ connect(v, &WelcomeView::projectCreated, doc, &MainDocument::slotProjectCreated);
+ connect(v, &WelcomeView::finished, this, &Part::finish);
+
+@@ -197,50 +194,6 @@ QWidget *Part::createWelcomeView(KoMainWindow *mw)
+ return v;
+ }
+
+-void Part::slotShowIntroduction()
+-{
+- startUpWidget->setCurrentIndex(1);
+- slotOpenUrlRequest(static_cast<HtmlView*>(startUpWidget->currentWidget()), QUrl("about:plan/main"));
+-}
+-
+-void Part::slotOpenUrlRequest(HtmlView *v, const QUrl &url)
+-{
+- debugPlan<<url;
+- if (url.scheme() == QLatin1String("about")) {
+- if (url.url() == QLatin1String("about:close")) {
+- startUpWidget->setCurrentIndex(0);
+- return;
+- }
+- if (url.url().startsWith(QLatin1String("about:plan"))) {
+- MainDocument *doc = static_cast<MainDocument*>(document());
+- doc->aboutPage().generatePage(v->htmlPart(), url);
+- return;
+- }
+- }
+- if (url.scheme() == QLatin1String("help")) {
+- KHelpClient::invokeHelp("", url.fileName());
+- return;
+- }
+- // try to open the url
+- debugPlan<<url<<"is external, discard";
+- new KRun(url, currentMainwindow());
+-}
+-
+-QWidget *Part::createIntroductionView()
+-{
+- HtmlView *v = new HtmlView(this, document(), startUpWidget);
+- v->htmlPart().setJScriptEnabled(false);
+- v->htmlPart().setJavaEnabled(false);
+- v->htmlPart().setMetaRefreshEnabled(false);
+- v->htmlPart().setPluginsEnabled(false);
+-
+- slotOpenUrlRequest(v, QUrl("about:plan/main"));
+-
+- connect(v, &KPlato::HtmlView::openUrlRequest, this, &KPlato::Part::slotOpenUrlRequest);
+-
+- return v;
+-}
+-
+ void Part::configure(KoMainWindow *mw)
+ {
+ //debugPlan;
+diff --git a/src/kptpart.h b/src/kptpart.h
+index 90f50257..20429fe2 100644
+--- a/src/kptpart.h
++++ b/src/kptpart.h
+@@ -33,7 +33,6 @@ class QStackedWidget;
+ namespace KPlato
+ {
+ class MainDocument;
+-class HtmlView;
+
+ class PLAN_EXPORT Part : public KoPart
+ {
+@@ -63,8 +62,6 @@ public Q_SLOTS:
+ void finish();
+
+ protected Q_SLOTS:
+- void slotShowIntroduction();
+- void slotOpenUrlRequest(KPlato::HtmlView *v, const QUrl &url);
+ void openTemplate(const QUrl& url) override;
+ void slotOpenTemplate(const QUrl& url);
+
+@@ -74,7 +71,6 @@ protected Q_SLOTS:
+ protected:
+ void createStarUpWidget(KoMainWindow *parent);
+ QWidget *createWelcomeView(KoMainWindow *parent);
+- QWidget *createIntroductionView();
+
+ private:
+ KPlato::MainDocument *m_document;
+diff --git a/src/kptview.cpp b/src/kptview.cpp
+index aa2c3dd7..7af53136 100644
+--- a/src/kptview.cpp
++++ b/src/kptview.cpp
+@@ -103,7 +103,6 @@
+ #include "kptpertresult.h"
+ #include "kptinsertfiledlg.h"
+ #include "kptloadsharedprojectsdialog.h"
+-#include "kpthtmlview.h"
+ #include "about/aboutpage.h"
+ #include "kptlocaleconfigmoneydialog.h"
+ #include "kptflatproxymodel.h"
+@@ -196,7 +195,6 @@ View::View(KoPart *part, MainDocument *doc, QWidget *parent)
+ ////////////////////////////////////////////////////////////////////////////////////////////////////
+
+ // Add sub views
+- createIntroductionView();
+
+ // The menu items
+ // ------ File
+@@ -258,11 +256,6 @@ View::View(KoPart *part, MainDocument *doc, QWidget *parent)
+ connect(actionOpenReportFile, QAction::triggered, this, &View::slotOpenReportFile);
+ #endif
+
+- // ------ Help
+- actionIntroduction = new QAction(koIcon("dialog-information"), i18n("Introduction to Plan"), this);
+- actionCollection()->addAction("plan_introduction", actionIntroduction);
+- connect(actionIntroduction, &QAction::triggered, this, &View::slotIntroduction);
+-
+ // ------ Popup
+ actionOpenNode = new QAction(koIcon("document-edit"), i18n("Edit..."), this);
+ actionCollection()->addAction("node_properties", actionOpenNode);
+@@ -762,46 +755,6 @@ ViewInfo View::defaultCategoryInfo(const QString &type) const
+ return vi;
+ }
+
+-void View::slotOpenUrlRequest(HtmlView *v, const QUrl &url)
+-{
+- debugPlan<<url;
+- if (url.scheme() == QLatin1String("about")) {
+- if (url.url() == QLatin1String("about:close")) {
+- int view = m_visitedViews.count() < 2 ? qMin(m_defaultView, m_tab->count()-1) : m_visitedViews.at(m_visitedViews.count() - 2);
+- debugPlan<<"Prev:"<<view<<m_visitedViews;
+- m_tab->setCurrentIndex(view);
+- return;
+- }
+- if (url.url().startsWith(QLatin1String("about:plan"))) {
+- getPart()->aboutPage().generatePage(v->htmlPart(), url);
+- return;
+- }
+- }
+- if (url.scheme() == QLatin1String("help")) {
+- KHelpClient::invokeHelp("", url.fileName());
+- return;
+- }
+- // try to open the url
+- debugPlan<<url<<"is external, try to open";
+- new KRun(url, mainWindow());
+-}
+-
+-ViewBase *View::createIntroductionView()
+-{
+- HtmlView *v = new HtmlView(getKoPart(), getPart(), m_tab);
+- v->htmlPart().setJScriptEnabled(false);
+- v->htmlPart().setJavaEnabled(false);
+- v->htmlPart().setMetaRefreshEnabled(false);
+- v->htmlPart().setPluginsEnabled(false);
+-
+- slotOpenUrlRequest(v, QUrl("about:plan/main"));
+-
+- connect(v, &HtmlView::openUrlRequest, this, &View::slotOpenUrlRequest);
+-
+- m_tab->addWidget(v);
+- return v;
+-}
+-
+ ViewBase *View::createResourceAppointmentsGanttView(ViewListItem *cat, const QString &tag, const QString &name, const QString &tip, int index)
+ {
+ ResourceAppointmentsGanttView *v = new ResourceAppointmentsGanttView(getKoPart(), getPart(), m_tab);
+@@ -1966,12 +1919,6 @@ void View::slotDefineWBSFinished(int result)
+ dia->deleteLater();
+ }
+
+-void View::slotIntroduction()
+-{
+- m_tab->setCurrentIndex(0);
+-}
+-
+-
+ Calendar *View::currentCalendar()
+ {
+ ViewBase *v = dynamic_cast<ViewBase*>(m_tab->currentWidget());
+diff --git a/src/kptview.h b/src/kptview.h
+index b9242811..33b9a198 100644
+--- a/src/kptview.h
++++ b/src/kptview.h
+@@ -84,7 +84,6 @@ class ResourceGroup;
+ class Relation;
+ class Context;
+ class ViewAdaptor;
+-class HtmlView;
+ class ReportView;
+
+ class ReportDesignDialog;
+@@ -179,8 +178,6 @@ public Q_SLOTS:
+
+ void slotCreateView();
+
+- void slotIntroduction();
+-
+ void openRelationDialog(KPlato::Node *par, KPlato::Node *child);
+ void slotEditRelation(KPlato::Relation *rel);
+ void slotAddRelation(KPlato::Node *par, KPlato::Node *child, int linkType);
+@@ -258,8 +255,6 @@ protected Q_SLOTS:
+ void slotMailWorkpackage(KPlato::Node *node, KPlato::Resource *resource = nullptr);
+ void slotPublishWorkpackages(const QList<KPlato::Node*> &nodes, KPlato::Resource *resource, bool mailTo);
+
+- void slotOpenUrlRequest(KPlato::HtmlView *v, const QUrl &url);
+-
+ void createReportView(const QDomDocument &doc);
+
+ void saveTaskModule(const QUrl &url, KPlato::Project *project);
+@@ -281,8 +276,6 @@ protected:
+
+ ViewBase *currentView() const;
+
+- ViewBase *createIntroductionView();
+-
+ private Q_SLOTS:
+ void slotActionDestroyed(QObject *o);
+ void slotViewListItemRemoved(KPlato::ViewListItem *item);
+@@ -383,9 +376,6 @@ private:
+ // ------ Settings
+ QAction *actionConfigure;
+
+- // ------ Help
+- QAction *actionIntroduction;
+-
+ // ------ Popup
+ QAction *actionOpenNode;
+ QAction *actionTaskProgress;
+diff --git a/src/libs/ui/CMakeLists.txt b/src/libs/ui/CMakeLists.txt
+index ca22f77f..15d8087c 100644
+--- a/src/libs/ui/CMakeLists.txt
++++ b/src/libs/ui/CMakeLists.txt
+@@ -96,8 +96,6 @@ set(planui_LIB_SRCS
+ kptworkpackagemergedialog.cpp
+ kptrecalculatedialog.cpp
+
+- kpthtmlview.cpp
+-
+ locale/localemon.cpp
+ kptlocaleconfigmoneydialog.cpp
+
+@@ -166,13 +164,12 @@ target_link_libraries(planui
+ PUBLIC
+ planmain
+ planmodels
+- KF5::KHtml
++ KF5::TextWidgets
+ PRIVATE
+ KChart
+ KF5::ItemViews
+ KF5::IconThemes
+ KF5::Archive
+- KF5::TextWidgets
+ KF5::KIOCore
+ KF5::KIOFileWidgets
+ KF5::KIOWidgets
+diff --git a/src/welcome/WelcomeView.cpp b/src/welcome/WelcomeView.cpp
+index bede7f4f..b6115fd7 100644
+--- a/src/welcome/WelcomeView.cpp
++++ b/src/welcome/WelcomeView.cpp
+@@ -156,14 +156,6 @@ WelcomeView::WelcomeView(KoPart *part, KoDocument *doc, QWidget *parent)
+ "<nl/>This enables you to quickly open projects you have worked on recently."
+ "</para>"));
+
+- Help::add(ui.introductionBtn,
+- xi18nc("@info:whatsthis",
+- "<title>Introduction to <application>Plan</application></title>"
+- "<para>"
+- "These introductory pages gives you hints and tips on what"
+- " you can use <application>Plan</application> for, and how to use it."
+- "</para>"));
+-
+ Help::add(ui.contextHelp,
+ xi18nc("@info:whatsthis",
+ "<title>Context help</title>"
+@@ -199,7 +191,6 @@ WelcomeView::WelcomeView(KoPart *part, KoDocument *doc, QWidget *parent)
+ connect(ui.newProjectBtn, &QAbstractButton::clicked, this, &WelcomeView::slotNewProject);
+ connect(ui.createResourceFileBtn, &QAbstractButton::clicked, this, &WelcomeView::slotCreateResourceFile);
+ connect(ui.openProjectBtn, &QAbstractButton::clicked, this, &WelcomeView::slotOpenProject);
+- connect(ui.introductionBtn, &QAbstractButton::clicked, this, &WelcomeView::showIntroduction);
+
+ connect(ui.recentProjects, &QAbstractItemView::activated, this, &WelcomeView::slotRecentFileSelected);
+
+diff --git a/src/welcome/WelcomeView.h b/src/welcome/WelcomeView.h
+index a09ebe2d..be604de7 100644
+--- a/src/welcome/WelcomeView.h
++++ b/src/welcome/WelcomeView.h
+@@ -64,7 +64,6 @@ Q_SIGNALS:
+ void newProject();
+ void openProject();
+ void recentProject(const QUrl &file, KoPart *part);
+- void showIntroduction();
+ void selectDefaultView();
+ void loadSharedResources(const QUrl &url, const QUrl &projects);
+ void openExistingFile(const QUrl &url);
+diff --git a/src/welcome/WelcomeView.ui b/src/welcome/WelcomeView.ui
+index 7317214b..9b3363db 100644
+--- a/src/welcome/WelcomeView.ui
++++ b/src/welcome/WelcomeView.ui
+@@ -231,14 +231,10 @@
+ </spacer>
+ </item>
+ <item>
+- <widget class="QPushButton" name="introductionBtn">
++ <widget class="QLabel" name="label_6">
+ <property name="text">
+ <string>Introduction</string>
+ </property>
+- <property name="icon">
+- <iconset theme="help-hint">
+- <normaloff>.</normaloff>.</iconset>
+- </property>
+ </widget>
+ </item>
+ <item>
+--
+2.29.1
+
+
+From 8aec5de56c525e71ae650abd4abfba756f5e5724 Mon Sep 17 00:00:00 2001
+From: Dag Andersen <dag.andersen@kdemail.net>
+Date: Mon, 26 Oct 2020 14:17:48 +0100
+Subject: [PATCH 2/2] User docs now on docs.kde.org
+
+---
+ src/welcome/WelcomeView.ui | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/welcome/WelcomeView.ui b/src/welcome/WelcomeView.ui
+index 9b3363db..741913b3 100644
+--- a/src/welcome/WelcomeView.ui
++++ b/src/welcome/WelcomeView.ui
+@@ -307,7 +307,7 @@
+ <string>https://userbase.kde.org/Plan</string>
+ </property>
+ <property name="text">
+- <string comment="@action:button">&lt;a href=&quot;https://userbase.kde.org/Plan&quot;&gt;Plan user documentation&lt;/a&gt;</string>
++ <string comment="@action:button">&lt;a href=&quot;https://docs.kde.org/index.php?application=calligraplan&quot;&gt;Plan user documentation&lt;/a&gt;</string>
+ </property>
+ <property name="alignment">
+ <set>Qt::AlignCenter</set>
+--
+2.29.1
+
diff --git a/games-misc/ballerburg/ballerburg-1.2.0.ebuild b/games-misc/ballerburg/ballerburg-1.2.0-r1.ebuild
index 3b9c55031ab1..e4a987433010 100644
--- a/games-misc/ballerburg/ballerburg-1.2.0.ebuild
+++ b/games-misc/ballerburg/ballerburg-1.2.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -15,3 +15,15 @@ KEYWORDS="~amd64"
DEPEND="media-libs/libsdl"
RDEPEND="${DEPEND}"
+
+src_configure() {
+ local mycmakeargs=(
+ -DDOCDIR=share/doc/${PF}
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ gunzip "${ED}usr/share/man/man6/ballerburg.6.gz" || die
+}
diff --git a/net-dns/bind-tools/Manifest b/net-dns/bind-tools/Manifest
index 5297e178de10..6039aada0eac 100644
--- a/net-dns/bind-tools/Manifest
+++ b/net-dns/bind-tools/Manifest
@@ -1,2 +1,3 @@
DIST bind-9.16.6.tar.xz 3228368 BLAKE2B 0c2265fe0e006679733a4f7610b0c33bb8e2bd32caf26dca8cfedbea0e08df9e7665cbbbf5321199bd2e30b97ad5b0146ae4e8a9a78abadbe6d067bbd1ad8a3a SHA512 37f57db6d1633cc85a4d954a69bbb3372c65ac43fef965df5aee8dcdd32153bb5b0c6d0d5f00f353dd4464c71d74dc8e801937b930e2b8f6799fa77af5f243e0
DIST bind-9.16.7.tar.xz 3241476 BLAKE2B ed11be4cb11cf0b77dfefd4284bdbe2d0e8dfd4c8b46e2966f3f0afc60a5df2ff3545a10209ede65f55f7d5dab3ed10945b98908c1b6bf35723c89c6d940a001 SHA512 176c84657e8a7b10a7ca93c939ca6a7fcdefb22f9200c3f01be59bcd8990dee27b8dc0970299225bcbe0f1aa8f49a67c80c4a9853895ffbcd685adb9674e7768
+DIST bind-9.16.8.tar.xz 3253744 BLAKE2B 013c61d7298f334aae0165fa0ddaf4eb8fc22021b161f3a53843b4860456c133f1f33316387fcf2d7267a992844de44467eaec70c8064c77f9baef00f37fb98f SHA512 803af842b4f83c16556036f3a2a52b4aeab4781bafb35385b786a3331cf17ef6148c23928f6903fd371337ba92870d7a8548f5d178b805d160d0af34af45fee7
diff --git a/net-dns/bind-tools/bind-tools-9.16.8.ebuild b/net-dns/bind-tools/bind-tools-9.16.8.ebuild
new file mode 100644
index 000000000000..f365183f1078
--- /dev/null
+++ b/net-dns/bind-tools/bind-tools-9.16.8.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic toolchain-funcs
+
+MY_PN=${PN//-tools}
+MY_PV=${PV/_p/-P}
+MY_PV=${MY_PV/_rc/rc}
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="bind tools: dig, nslookup, host, nsupdate, dnssec-keygen"
+HOMEPAGE="https://www.isc.org/software/bind"
+SRC_URI="https://downloads.isc.org/isc/bind9/${PV}/${MY_P}.tar.xz"
+
+LICENSE="Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+caps doc gssapi idn ipv6 libedit libressl readline xml"
+# no PKCS11 currently as it requires OpenSSL to be patched, also see bug 409687
+
+COMMON_DEPEND="
+ dev-libs/libuv:=
+ caps? ( sys-libs/libcap )
+ !libressl? ( dev-libs/openssl:= )
+ libressl? ( dev-libs/libressl:= )
+ xml? ( dev-libs/libxml2 )
+ idn? ( net-dns/libidn2:= )
+ gssapi? ( virtual/krb5 )
+ libedit? ( dev-libs/libedit )
+ !libedit? (
+ readline? ( sys-libs/readline:= )
+ )
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+# sphinx required for man-page and html creation
+BDEPEND="
+ doc? ( dev-python/sphinx )
+ virtual/pkgconfig
+"
+
+S="${WORKDIR}/${MY_P}"
+
+# bug 479092, requires networking
+RESTRICT="test"
+
+src_prepare() {
+ default
+
+ export LDFLAGS="${LDFLAGS} -L${EPREFIX}/usr/$(get_libdir)"
+
+ # Disable tests for now, bug 406399
+ sed -i '/^SUBDIRS/s:tests::' bin/Makefile.in lib/Makefile.in || die
+
+ # bug #220361
+ rm aclocal.m4 || die
+ rm -rf libtool.m4/ || die
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --localstatedir="${EPREFIX}"/var
+ --without-python
+ --without-libjson
+ --without-zlib
+ --without-lmdb
+ --without-maxminddb
+ --disable-geoip
+ --with-openssl="${EPREFIX}"/usr
+ $(use_with idn libidn2)
+ $(use_with xml libxml2)
+ $(use_with gssapi)
+ $(use_with readline)
+ $(use_enable caps linux-caps)
+ AR="$(type -P $(tc-getAR))"
+ )
+
+ # bug 607400
+ if use libedit ; then
+ myeconfargs+=( --with-readline=-ledit )
+ elif use readline ; then
+ myeconfargs+=( --with-readline=-lreadline )
+ else
+ myeconfargs+=( --without-readline )
+ fi
+
+ # bug 344029
+ append-cflags "-DDIG_SIGCHASE"
+
+ # to expose CMSG_* macros from sys/sockets.h
+ [[ ${CHOST} == *-solaris* ]] && append-cflags "-D_XOPEN_SOURCE=600"
+
+ # localstatedir for nsupdate -l, bug 395785
+ tc-export BUILD_CC
+ econf "${myeconfargs[@]}"
+
+ # bug #151839
+ echo '#undef SO_BSDCOMPAT' >> config.h
+}
+
+src_compile() {
+ local AR=$(tc-getAR)
+
+ emake AR="${AR}" -C lib/
+ emake AR="${AR}" -C bin/delv/
+ emake AR="${AR}" -C bin/dig/
+ emake AR="${AR}" -C bin/nsupdate/
+ emake AR="${AR}" -C bin/dnssec/
+ emake -C doc/man/ man $(usev doc)
+}
+
+src_install() {
+ local man_dir="${S}/doc/man"
+ local html_dir="${man_dir}/_build/html"
+
+ dodoc README CHANGES
+
+ cd "${S}"/bin/delv || die
+ dobin delv
+ doman ${man_dir}/delv.1
+
+ cd "${S}"/bin/dig || die
+ dobin dig host nslookup
+ doman ${man_dir}/{dig,host,nslookup}.1
+
+ cd "${S}"/bin/nsupdate || die
+ dobin nsupdate
+ doman ${man_dir}/nsupdate.1
+ if use doc; then
+ docinto html
+ dodoc ${html_dir}/nsupdate.html
+ fi
+
+ cd "${S}"/bin/dnssec || die
+ for tool in dsfromkey importkey keyfromlabel keygen \
+ revoke settime signzone verify; do
+ dobin dnssec-"${tool}"
+ doman ${man_dir}/dnssec-"${tool}".8
+ if use doc; then
+ docinto html
+ dodoc ${html_dir}/dnssec-"${tool}".html
+ fi
+ done
+}
diff --git a/net-dns/bind/Manifest b/net-dns/bind/Manifest
index 972f732ee008..4dc254901448 100644
--- a/net-dns/bind/Manifest
+++ b/net-dns/bind/Manifest
@@ -1,3 +1,4 @@
DIST bind-9.16.6.tar.xz 3228368 BLAKE2B 0c2265fe0e006679733a4f7610b0c33bb8e2bd32caf26dca8cfedbea0e08df9e7665cbbbf5321199bd2e30b97ad5b0146ae4e8a9a78abadbe6d067bbd1ad8a3a SHA512 37f57db6d1633cc85a4d954a69bbb3372c65ac43fef965df5aee8dcdd32153bb5b0c6d0d5f00f353dd4464c71d74dc8e801937b930e2b8f6799fa77af5f243e0
DIST bind-9.16.7.tar.xz 3241476 BLAKE2B ed11be4cb11cf0b77dfefd4284bdbe2d0e8dfd4c8b46e2966f3f0afc60a5df2ff3545a10209ede65f55f7d5dab3ed10945b98908c1b6bf35723c89c6d940a001 SHA512 176c84657e8a7b10a7ca93c939ca6a7fcdefb22f9200c3f01be59bcd8990dee27b8dc0970299225bcbe0f1aa8f49a67c80c4a9853895ffbcd685adb9674e7768
+DIST bind-9.16.8.tar.xz 3253744 BLAKE2B 013c61d7298f334aae0165fa0ddaf4eb8fc22021b161f3a53843b4860456c133f1f33316387fcf2d7267a992844de44467eaec70c8064c77f9baef00f37fb98f SHA512 803af842b4f83c16556036f3a2a52b4aeab4781bafb35385b786a3331cf17ef6148c23928f6903fd371337ba92870d7a8548f5d178b805d160d0af34af45fee7
DIST dyndns-samples.tbz2 22866 BLAKE2B 409890653c6536cb9c0e3ba809d2bfde0e0ae73a2a101b4f229b46c01568466bc022bbbc37712171adbd08c572733e93630feab95a0fcd1ac50a7d37da1d1108 SHA512 83b0bf99f8e9ff709e8e9336d8c5231b98a4b5f0c60c10792f34931e32cc638d261967dfa5a83151ec3740977d94ddd6e21e9ce91267b3e279b88affdbc18cac
diff --git a/net-dns/bind/bind-9.16.8.ebuild b/net-dns/bind/bind-9.16.8.ebuild
new file mode 100644
index 000000000000..3ee669a35b7c
--- /dev/null
+++ b/net-dns/bind/bind-9.16.8.ebuild
@@ -0,0 +1,389 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Re dlz/mysql and threads, needs to be verified..
+# MySQL uses thread local storage in its C api. Thus MySQL
+# requires that each thread of an application execute a MySQL
+# thread initialization to setup the thread local storage.
+# This is impossible to do safely while staying within the DLZ
+# driver API. This is a limitation caused by MySQL, and not the DLZ API.
+# Because of this BIND MUST only run with a single thread when
+# using the MySQL driver.
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit python-r1 autotools toolchain-funcs flag-o-matic db-use systemd tmpfiles
+
+MY_PV="${PV/_p/-P}"
+MY_PV="${MY_PV/_rc/rc}"
+MY_P="${PN}-${MY_PV}"
+
+SDB_LDAP_VER="1.1.0-fc14"
+
+RRL_PV="${MY_PV}"
+
+# SDB-LDAP: http://bind9-ldap.bayour.com/
+
+DESCRIPTION="Berkeley Internet Name Domain - Name Server"
+HOMEPAGE="https://www.isc.org/software/bind"
+SRC_URI="https://downloads.isc.org/isc/bind9/${PV}/${P}.tar.xz
+ doc? ( mirror://gentoo/dyndns-samples.tbz2 )"
+
+LICENSE="Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+# -berkdb by default re bug 602682
+IUSE="-berkdb +caps +dlz dnstap doc dnsrps fixed-rrset geoip geoip2 gssapi
+json ldap libressl lmdb mysql odbc postgres python selinux static-libs
+urandom xml +zlib"
+# sdb-ldap - patch broken
+# no PKCS11 currently as it requires OpenSSL to be patched, also see bug 409687
+
+# Upstream dropped the old geoip library, but the BIND configuration for using
+# GeoIP remained the same.
+REQUIRED_USE="
+ postgres? ( dlz )
+ berkdb? ( dlz )
+ mysql? ( dlz )
+ odbc? ( dlz )
+ ldap? ( dlz )
+ dnsrps? ( dlz )
+ python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+DEPEND="
+ acct-group/named
+ acct-user/named
+ !libressl? ( dev-libs/openssl:=[-bindist] )
+ libressl? ( dev-libs/libressl:= )
+ mysql? ( dev-db/mysql-connector-c:0= )
+ odbc? ( >=dev-db/unixODBC-2.2.6 )
+ ldap? ( net-nds/openldap )
+ postgres? ( dev-db/postgresql:= )
+ caps? ( >=sys-libs/libcap-2.1.0 )
+ xml? ( dev-libs/libxml2 )
+ geoip? ( dev-libs/libmaxminddb )
+ geoip2? ( dev-libs/libmaxminddb )
+ gssapi? ( virtual/krb5 )
+ json? ( dev-libs/json-c:= )
+ lmdb? ( dev-db/lmdb )
+ zlib? ( sys-libs/zlib )
+ dnstap? ( dev-libs/fstrm dev-libs/protobuf-c )
+ python? (
+ ${PYTHON_DEPS}
+ dev-python/ply[${PYTHON_USEDEP}]
+ )
+ dev-libs/libuv:=
+"
+
+RDEPEND="${DEPEND}
+ selinux? ( sec-policy/selinux-bind )
+ sys-process/psmisc"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}/ldap-library-path-on-multilib-machines.patch"
+)
+
+# bug 479092, requires networking
+# bug 710840, cmocka fails LDFLAGS='-Wl,-O1'
+#RESTRICT="test"
+
+src_prepare() {
+ default
+
+ # should be installed by bind-tools
+ sed -i -r -e "s:(nsupdate|dig|delv) ::g" bin/Makefile.in || die
+
+ # Disable tests for now, bug 406399
+ sed -i '/^SUBDIRS/s:tests::' bin/Makefile.in lib/Makefile.in || die
+
+ # bug #220361
+ rm aclocal.m4 || die
+ rm -rf libtool.m4/ || die
+ eautoreconf
+
+ use python && python_copy_sources
+}
+
+src_configure() {
+ bind_configure --without-python
+ use python && python_foreach_impl python_configure
+}
+
+bind_configure() {
+ local myeconfargs=(
+ AR="$(type -P $(tc-getAR))"
+ --prefix="${EPREFIX}"/usr
+ --sysconfdir=/etc/bind
+ --localstatedir=/var
+ --with-libtool
+ --enable-full-report
+ --without-readline
+ --with-openssl="${EPREFIX}"/usr
+ --without-cmocka
+ $(use_enable caps linux-caps)
+ $(use_enable dnsrps)
+ $(use_enable dnstap)
+ $(use_enable fixed-rrset)
+ # $(use_enable static-libs static)
+ $(use_with berkdb dlz-bdb)
+ $(use_with dlz dlopen)
+ $(use_with dlz dlz-filesystem)
+ $(use_with dlz dlz-stub)
+ $(use_with gssapi)
+ $(use_with json json-c)
+ $(use_with ldap dlz-ldap)
+ $(use_with mysql dlz-mysql)
+ $(use_with odbc dlz-odbc)
+ $(use_with postgres dlz-postgres)
+ $(use_with lmdb)
+ $(use_with xml libxml2)
+ $(use_with zlib)
+ "${@}"
+ )
+ # This is for users to start to migrate back to USE=geoip, rather than
+ # USE=geoip2
+ if use geoip ; then
+ myeconfargs+=( $(use_with geoip maxminddb) --enable-geoip )
+ elif use geoip2 ; then
+ # Added 2020/09/30
+ # Remove USE=geoip2 support after 2020/03/01
+ ewarn "USE=geoip2 is deprecated; update your USE flags!"
+ myeconfargs+=( $(use_with geoip2 maxminddb) --enable-geoip )
+ else
+ myeconfargs+=( --without-maxminddb --disable-geoip )
+ fi
+
+ # bug #158664
+# gcc-specs-ssp && replace-flags -O[23s] -O
+
+ # To include db.h from proper path
+ use berkdb && append-flags "-I$(db_includedir)"
+
+ export BUILD_CC=$(tc-getBUILD_CC)
+ econf "${myeconfargs[@]}"
+
+ # bug #151839
+ echo '#undef SO_BSDCOMPAT' >> config.h
+}
+
+python_configure() {
+ pushd "${BUILD_DIR}" >/dev/null || die
+ bind_configure --with-python
+ popd >/dev/null || die
+}
+
+src_compile() {
+ default
+ use python && python_foreach_impl python_compile
+}
+
+python_compile() {
+ pushd "${BUILD_DIR}"/bin/python >/dev/null || die
+ emake
+ popd >/dev/null || die
+}
+
+src_install() {
+ default
+
+ # don't create /var/run
+ rmdir "${ED}"/var/run || die
+
+ dodoc CHANGES README
+
+ if use doc; then
+ docinto misc
+ dodoc -r doc/misc/
+
+ # might a 'html' useflag make sense?
+ docinto html
+ dodoc -r doc/arm/
+
+ docinto contrib
+ dodoc contrib/scripts/{nanny.pl,named-bootconf.sh}
+
+ # some handy-dandy dynamic dns examples
+ pushd "${ED}"/usr/share/doc/${PF} 1>/dev/null || die
+ tar xf "${DISTDIR}"/dyndns-samples.tbz2 || die
+ popd 1>/dev/null || die
+ fi
+
+ insinto /etc/bind
+ newins "${FILESDIR}"/named.conf-r8 named.conf
+
+ # ftp://ftp.rs.internic.net/domain/named.cache:
+ insinto /var/bind
+ newins "${FILESDIR}"/named.cache-r3 named.cache
+
+ insinto /var/bind/pri
+ newins "${FILESDIR}"/localhost.zone-r3 localhost.zone
+
+ newinitd "${FILESDIR}"/named.init-r13 named
+ newconfd "${FILESDIR}"/named.confd-r7 named
+
+ newenvd "${FILESDIR}"/10bind.env 10bind
+
+ # Let's get rid of those tools and their manpages since they're provided by bind-tools
+ rm -f "${ED}"/usr/share/man/man1/{dig,host,nslookup,delv,nsupdate}.1* || die
+ rm -f "${ED}"/usr/share/man/man8/nsupdate.8* || die
+ rm -f "${ED}"/usr/bin/{dig,host,nslookup,nsupdate} || die
+ rm -f "${ED}"/usr/sbin/{dig,host,nslookup,nsupdate} || die
+ for tool in dsfromkey importkey keyfromlabel keygen \
+ revoke settime signzone verify; do
+ rm -f "${ED}"/usr/{,s}bin/dnssec-"${tool}" || die
+ rm -f "${ED}"/usr/share/man/man8/dnssec-"${tool}".8* || die
+ done
+
+ # bug 405251, library archives aren't properly handled by --enable/disable-static
+ if ! use static-libs; then
+ find "${ED}" -type f -name '*.a' -delete || die
+ fi
+
+ # bug 405251
+ find "${ED}" -type f -name '*.la' -delete || die
+
+ use python && python_foreach_impl python_install
+
+ # bug 450406
+ dosym named.cache /var/bind/root.cache
+
+ dosym ../../var/bind/pri /etc/bind/pri
+ dosym ../../var/bind/sec /etc/bind/sec
+ dosym ../../var/bind/dyn /etc/bind/dyn
+ keepdir /var/bind/{pri,sec,dyn} /var/log/named
+
+ fowners root:named /{etc,var}/bind /var/log/named /var/bind/{sec,pri,dyn}
+ fowners root:named /var/bind/named.cache /var/bind/pri/localhost.zone /etc/bind/{bind.keys,named.conf}
+ fperms 0640 /var/bind/named.cache /var/bind/pri/localhost.zone /etc/bind/{bind.keys,named.conf}
+ fperms 0750 /etc/bind /var/bind/pri
+ fperms 0770 /var/log/named /var/bind/{,sec,dyn}
+
+ systemd_newunit "${FILESDIR}/named.service-r1" named.service
+ dotmpfiles "${FILESDIR}"/named.conf
+ exeinto /usr/libexec
+ doexe "${FILESDIR}/generate-rndc-key.sh"
+
+ tmpfiles_process
+}
+
+python_install() {
+ pushd "${BUILD_DIR}"/bin/python >/dev/null || die
+ emake DESTDIR="${D}" install
+ python_scriptinto /usr/sbin
+ python_doscript dnssec-{checkds,coverage}
+ python_optimize
+ popd >/dev/null || die
+}
+
+pkg_postinst() {
+ if [ ! -f '/etc/bind/rndc.key' ]; then
+ if use urandom; then
+ einfo "Using /dev/urandom for generating rndc.key"
+ /usr/sbin/rndc-confgen -r /dev/urandom -a
+ echo
+ else
+ einfo "Using /dev/random for generating rndc.key"
+ /usr/sbin/rndc-confgen -a
+ echo
+ fi
+ chown root:named /etc/bind/rndc.key || die
+ chmod 0640 /etc/bind/rndc.key || die
+ fi
+
+ einfo
+ einfo "You can edit /etc/conf.d/named to customize named settings"
+ einfo
+ use mysql || use postgres || use ldap && {
+ elog "If your named depends on MySQL/PostgreSQL or LDAP,"
+ elog "uncomment the specified rc_named_* lines in your"
+ elog "/etc/conf.d/named config to ensure they'll start before bind"
+ einfo
+ }
+ einfo "If you'd like to run bind in a chroot AND this is a new"
+ einfo "install OR your bind doesn't already run in a chroot:"
+ einfo "1) Uncomment and set the CHROOT variable in /etc/conf.d/named."
+ einfo "2) Run \`emerge --config '=${CATEGORY}/${PF}'\`"
+ einfo
+
+ CHROOT=$(source /etc/conf.d/named 2>/dev/null; echo ${CHROOT})
+ if [[ -n ${CHROOT} ]]; then
+ elog "NOTE: As of net-dns/bind-9.4.3_p5-r1 the chroot part of the init-script got some major changes!"
+ elog "To enable the old behaviour (without using mount) uncomment the"
+ elog "CHROOT_NOMOUNT option in your /etc/conf.d/named config."
+ elog "If you decide to use the new/default method, ensure to make backup"
+ elog "first and merge your existing configs/zones to /etc/bind and"
+ elog "/var/bind because bind will now mount the needed directories into"
+ elog "the chroot dir."
+ fi
+}
+
+pkg_config() {
+ CHROOT=$(source /etc/conf.d/named; echo ${CHROOT})
+ CHROOT_NOMOUNT=$(source /etc/conf.d/named; echo ${CHROOT_NOMOUNT})
+ CHROOT_GEOIP=$(source /etc/conf.d/named; echo ${CHROOT_GEOIP})
+
+ if [[ -z "${CHROOT}" ]]; then
+ eerror "This config script is designed to automate setting up"
+ eerror "a chrooted bind/named. To do so, please first uncomment"
+ eerror "and set the CHROOT variable in '/etc/conf.d/named'."
+ die "Unset CHROOT"
+ fi
+ if [[ -d "${CHROOT}" ]]; then
+ ewarn "NOTE: As of net-dns/bind-9.4.3_p5-r1 the chroot part of the init-script got some major changes!"
+ ewarn "To enable the old behaviour (without using mount) uncomment the"
+ ewarn "CHROOT_NOMOUNT option in your /etc/conf.d/named config."
+ ewarn
+ ewarn "${CHROOT} already exists... some things might become overridden"
+ ewarn "press CTRL+C if you don't want to continue"
+ sleep 10
+ fi
+
+ echo; einfo "Setting up the chroot directory..."
+
+ mkdir -m 0750 -p ${CHROOT} || die
+ mkdir -m 0755 -p ${CHROOT}/{dev,etc,var/log,run} || die
+ mkdir -m 0750 -p ${CHROOT}/etc/bind || die
+ mkdir -m 0770 -p ${CHROOT}/var/{bind,log/named} ${CHROOT}/run/named/ || die
+
+ chown root:named \
+ ${CHROOT} \
+ ${CHROOT}/var/{bind,log/named} \
+ ${CHROOT}/run/named/ \
+ ${CHROOT}/etc/bind \
+ || die
+
+ mknod ${CHROOT}/dev/null c 1 3 || die
+ chmod 0666 ${CHROOT}/dev/null || die
+
+ mknod ${CHROOT}/dev/zero c 1 5 || die
+ chmod 0666 ${CHROOT}/dev/zero || die
+
+ if use urandom; then
+ mknod ${CHROOT}/dev/urandom c 1 9 || die
+ chmod 0666 ${CHROOT}/dev/urandom || die
+ else
+ mknod ${CHROOT}/dev/random c 1 8 || die
+ chmod 0666 ${CHROOT}/dev/random || die
+ fi
+
+ if [ "${CHROOT_NOMOUNT:-0}" -ne 0 ]; then
+ cp -a /etc/bind ${CHROOT}/etc/ || die
+ cp -a /var/bind ${CHROOT}/var/ || die
+ fi
+
+ if [ "${CHROOT_GEOIP:-0}" -eq 1 ]; then
+ if use geoip; then
+ mkdir -m 0755 -p ${CHROOT}/usr/share/GeoIP || die
+ elif use geoip2; then
+ mkdir -m 0755 -p ${CHROOT}/usr/share/GeoIP2 || die
+ fi
+ fi
+
+ elog "You may need to add the following line to your syslog-ng.conf:"
+ elog "source jail { unix-stream(\"${CHROOT}/dev/log\"); };"
+}